[Pkg-xfce-commits] r8561 - in /desktop/trunk/xfconf/debian: changelog control patches/ patches/0001-Simplify-checks.patch patches/series rules

Yves-Alexis Perez corsac at moszumanska.debian.org
Wed Sep 3 20:00:44 UTC 2014


Author: corsac
Date: Wed Sep  3 20:00:44 2014
New Revision: 8561

URL: http://svn.debian.org/wsvn/pkg-xfce/?sc=1&rev=8561
Log:
* debian/patches:
  - 0001-Simplify-checks added, fix breakage in tests when running
    xdt-autogen.
* debian/rules:
  - call xdt-autogen before configure in order to regenerate autotools files
    and support newer architectures.                          closes: #756428
* debian/control:
  - add build-dep on xfce4-dev-tools, libtool and gtk-doc-tools.

Added:
    desktop/trunk/xfconf/debian/patches/
    desktop/trunk/xfconf/debian/patches/0001-Simplify-checks.patch
    desktop/trunk/xfconf/debian/patches/series
Modified:
    desktop/trunk/xfconf/debian/changelog
    desktop/trunk/xfconf/debian/control
    desktop/trunk/xfconf/debian/rules

Modified: desktop/trunk/xfconf/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-xfce/desktop/trunk/xfconf/debian/changelog?rev=8561&op=diff
==============================================================================
--- desktop/trunk/xfconf/debian/changelog	(original)
+++ desktop/trunk/xfconf/debian/changelog	Wed Sep  3 20:00:44 2014
@@ -6,6 +6,16 @@
   [ Jackson Doak ]
   * debian/control: bump standards-version to 3.9.4
   * debian/rules: Use disable-silent-rules
+
+  [ Yves-Alexis Perez ]
+  * debian/patches:
+    - 0001-Simplify-checks added, fix breakage in tests when running
+      xdt-autogen.
+  * debian/rules:
+    - call xdt-autogen before configure in order to regenerate autotools files
+      and support newer architectures.                          closes: #756428
+  * debian/control:
+    - add build-dep on xfce4-dev-tools, libtool and gtk-doc-tools.
 
  -- Jackson Doak <noskcaj at ubuntu.com>  Fri, 20 Sep 2013 10:14:25 +1000
 

Modified: desktop/trunk/xfconf/debian/control
URL: http://svn.debian.org/wsvn/pkg-xfce/desktop/trunk/xfconf/debian/control?rev=8561&op=diff
==============================================================================
--- desktop/trunk/xfconf/debian/control	(original)
+++ desktop/trunk/xfconf/debian/control	Wed Sep  3 20:00:44 2014
@@ -6,7 +6,8 @@
  Lionel Le Folgoc <mrpouit at gmail.com>
 Build-Depends: debhelper (>= 9), libxfce4util-dev (>= 4.10.0), 
  libdbus-1-dev, libdbus-glib-1-dev, libextutils-pkgconfig-perl, 
- libextutils-depends-perl, libglib-perl, intltool, dpkg-dev (>= 1.16.1.)
+ libextutils-depends-perl, libglib-perl, intltool, dpkg-dev (>= 1.16.1.),
+ libtool, xfce4-dev-tools, gtk-doc-tools
 Standards-Version: 3.9.4
 Homepage: http://www.xfce.org
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/desktop/trunk/xfconf

Added: desktop/trunk/xfconf/debian/patches/0001-Simplify-checks.patch
URL: http://svn.debian.org/wsvn/pkg-xfce/desktop/trunk/xfconf/debian/patches/0001-Simplify-checks.patch?rev=8561&op=file
==============================================================================
--- desktop/trunk/xfconf/debian/patches/0001-Simplify-checks.patch	(added)
+++ desktop/trunk/xfconf/debian/patches/0001-Simplify-checks.patch	Wed Sep  3 20:00:44 2014
@@ -0,0 +1,104 @@
+From 233f7d3a9b0f98b794548433cead77633aab5f7d Mon Sep 17 00:00:00 2001
+From: Nick Schermer <nick at xfce.org>
+Date: Sun, 6 Jan 2013 12:46:47 +0100
+Subject: [PATCH] Simplify checks.
+
+---
+ tests/Makefile.am         |  1 -
+ tests/Makefile.inc        |  9 +--------
+ tests/test-template.sh.in | 49 -----------------------------------------------
+ 3 files changed, 1 insertion(+), 58 deletions(-)
+ delete mode 100644 tests/test-template.sh.in
+
+diff --git a/tests/Makefile.am b/tests/Makefile.am
+index 57165d9..57ba7e8 100644
+--- a/tests/Makefile.am
++++ b/tests/Makefile.am
+@@ -13,5 +13,4 @@ clean-local:
+ 
+ EXTRA_DIST = \
+ 	$(test_scripts) \
+-	test-template.sh.in \
+ 	tests-common.h
+diff --git a/tests/Makefile.inc b/tests/Makefile.inc
+index 2ed3431..7a5a715 100644
+--- a/tests/Makefile.inc
++++ b/tests/Makefile.inc
+@@ -13,9 +13,7 @@
+ # along with this program; if not, write to the Free Software
+ # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
+ 
+-check_SCRIPTS = $(addsuffix .sh,$(check_PROGRAMS))
+-
+-TESTS = $(check_SCRIPTS)
++TESTS = $(check_PROGRAMS)
+ TESTS_ENVIRONMENT = XDG_CONFIG_HOME="$(top_builddir)/tests/test-xdg_config_home" XFCONFD="$(top_builddir)/xfconfd/xfconfd"
+ 
+ AM_CFLAGS = \
+@@ -27,8 +25,3 @@ AM_CFLAGS = \
+ LIBS = \
+ 	$(top_builddir)/xfconf/libxfconf-$(LIBXFCONF_VERSION_API).la
+ 
+-%.sh: $(top_srcdir)/tests/test-template.sh.in Makefile
+-	sed -e 's/@TEST_NAME@/$@/; s/\.sh//;' <$(top_srcdir)/tests/test-template.sh.in >$@
+-	chmod 755 $@
+-
+-CLEANFILES = $(check_SCRIPTS)
+diff --git a/tests/test-template.sh.in b/tests/test-template.sh.in
+deleted file mode 100644
+index 2e638a8..0000000
+--- a/tests/test-template.sh.in
++++ /dev/null
+@@ -1,49 +0,0 @@
+-#!/bin/sh
+-
+-cleanup() {
+-    if [ "$XFCONFD_PID" ]; then
+-        kill -TERM $XFCONFD_PID 2>/dev/null
+-        sleep 1
+-        kill -KILL $XFCONFD_PID 2>/dev/null
+-    fi
+-
+-    kill -TERM $DBUS_SESSION_BUS_PID 2>/dev/null
+-    sleep 1
+-    kill -KILL $DBUS_SESSION_BUS_PID 2>/dev/null
+-}
+-
+-die() {
+-    [ "$1" ] && echo "$1" >&2
+-    cleanup
+-    exit 1
+-}
+-
+-# some buildbots have problems with the tests (dbus not
+-# working properly without an X11 server).
+-if [ -n "$XFCONF_SKIP_TESTS" ]; then
+-  echo "Warning: Tests disabled, skipping @TEST_NAME@" >&2
+-  exit 0
+-fi
+-
+-unset DBUS_SESSION_BUS_ADDRESS
+-unset DBUS_SESSION_BUS_PID
+-unset XFCONFD_PID
+-
+-eval `dbus-launch --sh-syntax`
+-export DBUS_SESSION_BUS_ADDRESS
+-export DBUS_SESSION_BUS_PID
+-
+-[ "$DBUS_SESSION_BUS_PID" ] || die "DBus failed to start"
+-
+-trap "die Interrupted" INT
+-
+-eval `$XFCONFD --daemon 2>/dev/null` || die "Failed to start xfconfd"
+-
+-export XDG_CONFIG_HOME  # make sure it's exported from the makefile
+-export XDG_CONFIG_DIRS=""
+-
+-./@TEST_NAME@ || die "Test Failed"
+-
+-cleanup
+-
+-exit 0
+-- 
+2.1.0
+

Added: desktop/trunk/xfconf/debian/patches/series
URL: http://svn.debian.org/wsvn/pkg-xfce/desktop/trunk/xfconf/debian/patches/series?rev=8561&op=file
==============================================================================
--- desktop/trunk/xfconf/debian/patches/series	(added)
+++ desktop/trunk/xfconf/debian/patches/series	Wed Sep  3 20:00:44 2014
@@ -0,0 +1 @@
+0001-Simplify-checks.patch

Modified: desktop/trunk/xfconf/debian/rules
URL: http://svn.debian.org/wsvn/pkg-xfce/desktop/trunk/xfconf/debian/rules?rev=8561&op=diff
==============================================================================
--- desktop/trunk/xfconf/debian/rules	(original)
+++ desktop/trunk/xfconf/debian/rules	Wed Sep  3 20:00:44 2014
@@ -7,6 +7,7 @@
 	dh $@ --parallel
 
 override_dh_auto_configure:
+	NOCONFIGURE=1 xdt-autogen
 	dh_auto_configure -- --disable-perl-bindings --disable-silent-rules
 
 override_dh_auto_test:




More information about the Pkg-xfce-commits mailing list